/*
 * $Id: auth.h,v 1.1.1.1 2003/02/20 13:46:08 tsavola Exp $
 * Authentication file stuff.
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef AUTH_H
#define AUTH_H

/** Maximum username length including the null-terminator. */
#define USER_SIZE 16

/** Maximum password length including the null-terminator. */
#define PWD_SIZE  16

/** Maximum hostname length including the null-terminator. */
#define HOST_SIZE 256

extern char *find_pwd(const char *filename, const char *host, int *portp);

#endif
